help! im not a computer geek. how do i install pipelight code onto my linux mint maya computer?

Asked by Jessica

I have never used code before. Would someone mind explaining to the Dummy how to make Pipelight run on my computer? I would really appreciate it!

Question information

Language:
English Edit question
Status:
Answered
For:
Pipelight Edit question
Assignee:
No assignee Edit question
Last query:
Last reply:
Revision history for this message
Sebastian Lackner (slackner) said :
#1

Hi,

to install Pipelight for Linux Mint Maya you have to follow the same instructions as for Ubuntu, since both are distributions are very similar. You can find the instructions right here: http://fds-team.de/cms/pipelight-installation.html#section_1_1 , but I'll provide some more explanations what the individual commands do and where you've to pay attention to below.

Unfortunately there are no real good video tutorials I could provide you, so you'll have to carefully follow the textual instructions. ;-)

It is much easier to do the following steps by using a terminal (there should be an entry somewhere in your start menu). Even if you don't have much experience with the terminal, you can just copy&paste most of the commands from this page (select them and press CTRL+C to copy, then right click on the terminal and press 'Paste' to paste them.) - but I would recommend to enter only a single line at one time, and wait for any error messages before proceeding with the next commands.

Steps required to install Pipelight:

1.) Add the repository which contains the Pipelight package. This step is required since Pipelight is not yet contained in the official Ubuntu packages. To do this enter the following command, then press ENTER to confirm that you want to add the repository:

sudo add-apt-repository ppa:pipelight/stable

You might get a command line prompt which asks for your account password - then just enter it to proceed.

2.) Update your package list and install Pipelight:

sudo apt-get update
sudo apt-get install --install-recommends pipelight-multi

It might be possible that you get this dialog ( http://cloud.addictivetips.com/wp-content/uploads/2011/11/EULA.jpg ) while installing Pipelight, which asks if you accept the license for the Microsoft core fonts. These fonts are required for Silverlight to run properly. To confirm the license press TAB (till the corresponding button is selected), then ENTER to click on a button. After you've accepted the license the installation will proceed and hopefully finish successfully. If you get some error messages and you're unsure - just copy (select, then right click and press 'Copy') them into this question, and we'll try to help you.

3.) Update the Pipelight plugins, such that you're really using the latest version of all plugins:

sudo pipelight-plugin --update

4.) Afterwards enable any plugin you like. If you want to use for example Netflix (which is based on Silverlight), then just type:

sudo pipelight-plugin --enable silverlight

If you want to use any other plugins, like Flash, Unity3D, ... - just take a look here for some more details on all individual plugins:
http://fds-team.de/cms/pipelight-installation.html#section_2

5.) You're not done yet, there is one additional important step missing, otherwise most pages will just show "Linux is not supported" or something similar. To trick the pages you have to install a user agent switcher. Depending on which browser you're using, you have to use slightly different instructions. For Firefox/Chrome/... the instructions can be seen here:
https://answers.launchpad.net/pipelight/+faq/2351
Make sure that you really use one of the recommended user agent switchers listed there, and that Firefox15 is selected while you're using Silverlight.

If you have any additional questions or there is still something unclear, feel free to ask.

Regards,
Sebastian

Can you help with this problem?

Provide an answer of your own, or ask Jessica for more information if necessary.

To post a message you must log in.